Package org.eclipse.e4.ui.workbench.modeling

## Enum ISaveHandler.Save

- java.lang.Object
- - java.lang.Enum<ISaveHandler.Save>
  - - org.eclipse.e4.ui.workbench.modeling.ISaveHandler.Save

All Implemented Interfaces:
  `Serializable`, `Comparable<ISaveHandler.Save>`

Enclosing interface:
  ISaveHandler

    public static enum ISaveHandler.Save
    extends Enum<ISaveHandler.Save>

### Enum Constant Summary

Enum Constants
`CANCEL`
`NO`
`YES`

### Method Summary

All Methods Static Methods Concrete Methods
`static ISaveHandler.Save` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ISaveHandler.Save[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### YES

    public static final ISaveHandler.Save YES

#### NO

    public static final ISaveHandler.Save NO

#### CANCEL

    public static final ISaveHandler.Save CANCEL

### Method Detail

#### values

    public static ISaveHandler.Save[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ISaveHandler.Save c : ISaveHandler.Save.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ISaveHandler.Save valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null